### File

`packages/eui-ecl/packages/core/src/lib/services/ecl-default-language.service.ts`

### Index

###### Properties

- Public currentLanguage$

###### Methods

- getAllLanguageCodes
- getAllLanguages
- getConfiguredLanguages
- getCurrentLanguage
- getEULanguageCodes
- getEULanguages
- getLanguageByCode
- getLanguagesByCodes
- isEuLanguage
- ngOnDestroy
- updateCurrentLanguage

### Constructor

`constructor(config: GlobalConfig, i18nService: I18nService)`

Parameters :

Name | Type | Optional
config | `GlobalConfig` | No
i18nService | `I18nService` | No

### Methods

getAllLanguageCodes
`getAllLanguageCodes()`
Returns : `string[]`

getAllLanguages
`getAllLanguages()`
Returns : `Array<EclLanguage>`

getConfiguredLanguages
`getConfiguredLanguages()`
Returns : `Array<EclLanguage>`

getCurrentLanguage
`getCurrentLanguage()`
Returns : `EclLanguage`

getEULanguageCodes
`getEULanguageCodes()`
Returns : `Array<string>`

getEULanguages
`getEULanguages()`
Returns : `Array<EclLanguage>`

getLanguageByCode
`getLanguageByCode(code: string)`

Parameters :

Name | Type | Optional
code | `string` | No

Returns : `EclLanguage`

getLanguagesByCodes
`getLanguagesByCodes(codes: Array<string>)`

Parameters :

Name | Type | Optional
codes | `Array<string>` | No

Returns : `Array<EclLanguage>`

isEuLanguage
`isEuLanguage(code: string)`

Parameters :

Name | Type | Optional
code | `string` | No

Returns : `boolean`

ngOnDestroy
`ngOnDestroy()`
Returns : `void`

updateCurrentLanguage
`updateCurrentLanguage(lang: EclLanguage)`

Parameters :

Name | Type | Optional
lang | `EclLanguage` | No

Returns : `void`

### Properties

Public currentLanguage$
Type : `Subject<EclLanguage>`
Default value : `new ReplaySubject<EclLanguage>()`

# results matching ""

# No results matching ""